:root {
  --invite-code-color: #8a9ee6;
}

@font-face {
  font-family: "Urbanist";
  src: url("/fonts/Urbanist-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Urbanist";
  src: url("/fonts/Urbanist-SemiBold.ttf") format("truetype");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}


html, body {
  background-color: black;
	position: relative;
	width: 100%;
	height: 100%;
}

h1, h2, h3, h4, h5, h6 {
  color: white;
}

body {
	color: #888;
	margin: 0;
	padding: 8px;
	box-sizing: border-box;
	font-family: "Urbanist", sans-serif;
	font-weight: 600;
}

a {
	color: rgb(0,100,200);
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

a:visited {
	color: rgb(0,80,160);
}

label {
	display: block;
}

input, button, select, textarea {
  text: white;
	font-family: inherit;
	font-size: inherit;
	-webkit-padding: 0.4em 0;
	padding: 0.5em;
	margin: 0 0 0.5em 0;
	box-sizing: border-box;
	border: 1px solid #444;
  border-radius: 10px;
  transition: border-color 0.5s;
}

input {
  color: white;
  margin-top: 9px;
  background: #222;
}

input:disabled {
	background-color: #555;
}


button {
  padding: 0.7em 1em;
  outline: none;
  background: #444;
  color: white;
  cursor: pointer;
  transition: background 0.3s;
  font-weight: 700;
}

button:hover {
  background: #666;
}

button:focus {
	border-color: #666;
} 

button:disabled {
	color: #999;
}

button:not(:disabled):active {
	background-color: #ddd;
}

button.navigation {
  background: transparent;
  border: none;
  color: #aaa;
  padding: 7px;
}

.top-center {
  position: absolute;
  top: 2px;
  left: 0;
  right: 0;
  margin: 0 auto;
  padding: 0;
  z-index: 20;
}

.top-left {
  position: absolute;
  top: 2px;
  left: 2px;
  margin: 0;
  padding: 0;
  z-index: 20;
}

.top-right {
  position: absolute;
  top: 2px;
  right: 2px;
  padding: 0;
  z-index: 20;
}

.entrance {
  animation: fadeInDown 0.3s ease-out forwards;
}

@keyframes fadeInDown {
  0% {
    opacity: 0;
    transform: translateY(-20px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes swipeDown {
  0% {
    transform: translateY(0);
    opacity: 1;
  }
  100% {
    transform: translateY(100%);
    opacity: 0;
  }
}

@keyframes swipeUp {
  0% {
    transform: translateY(0);
    opacity: 1;
  }
  100% {
    transform: translateY(-100%);
    opacity: 0;
  }
}

.swipe-down {
  animation: swipeDown 0.5s ease-out forwards;
}

.swipe-up {
  animation: swipeUp 0.5s ease-out forwards;
}
